## gnustep-base 1.30.0

=== debian/changelog ===
gnustep-base (1.30.0-7) unstable; urgency=medium

  * debian/patches/NSStream-test-riscv64.patch: Revert last change.  Fix
    logic error in -[Listener stream:handleEvent:].

 -- Yavor Doganov <yavor@gnu.org>  Wed, 14 Aug 2024 10:02:07 +0300

gnustep-base (1.30.0-6) unstable; urgency=medium

  * debian/patches/NSStream-test-riscv64.patch: Prevent global buffer
    overflow (caught by GCC's AddressSanitizer).

 -- Yavor Doganov <yavor@gnu.org>  Sun, 11 Aug 2024 18:13:14 +0300

gnustep-base (1.30.0-5) unstable; urgency=medium

  * debian/patches/non-portable-tests.patch: New; cherry-pick two upstream
    commits to fix compilation of tests with GCC.
  * debian/patches/gcc-synthesize.patch: New; make
    NSUserNotification/NSUserNotificationCenter work with GCC.
  * debian/patches/NSStream-test-riscv64.patch: New; attempt to fix a
    strange intermittent test abort on riscv64.
  * debian/changelog: Typo fixes.
  * debian/templates/control.m4 (Build-Conflicts): Remove; obsolete.
    (gnustep-base-common): Add Breaks/Replaces for the manpages' move.
  * debian/control: Regenerate.
  * debian/rules (override_dh_auto_configure): Stop generating files with
    constant names from templates with variables having constant values.
    Do not involve sed where a simple copy operation is sufficient.
    (GS_DTDs_DEBIAN): Remove definition.
    (v_make): Bump to 2.9.2-3 for recent dh_gnustep additions.
    (override_dh_auto_install-indep): Delete timezones.
    (execute_before_dh_link): New target; run dh_gnustep.
  * debian/templates/gnustep-base-runtime.postrm.in: Rename as...
  * debian/gnustep-base-runtime.postrm: ...since generating it is useless.
  * debian/templates/gnustep-base-runtime.postinst.in: Rename as...
  * debian/gnustep-base-runtime.postinst: ...as above.
  * debian/templates/gnustep-base-common.xmlcatalogs.in: Rename as...
  * debian/gnustep-base-common.xmlcatalogs: ...as above.
  * debian/templates/gnustep-base-common.install.in: Rename as..
  * debian/gnustep-base-common.install: ...as above; simplify.  Install
    all manpages in this package; -runtime depends on it.
  * debian/template/gnustep-base-runtime.links.in: Delete and move
    manpages' symlinks...
  * debian/templates/gnustep-base-common.links.in: ...here.
  * debian/templates/libgnustep-baseN.install.in: Replace @GS_LIBS@.
  * debian/gnustep-base-runtime.install: Remove manpages.
  * debian/clean: Remove files that are no longer generated.
  * debian/watch: Use HTTPS protocol.
  * debian/tests/adequate: New autopkgtest.
  * debian/tests/control (Tests): Add new test.
    (Depends): Add adequate and debhelper.
  * debian/copyright: Add more stanzas for files under various permissive
    licenses.  Move all license texts at the end.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 11 Aug 2024 11:58:00 +0300

gnustep-base (1.30.0-4) unstable; urgency=medium

  * debian/patches/hurd-tests.patch: Add two more testHopeful definitions
    as the variable is reset after each set of tests.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 27 Jun 2024 09:51:08 +0300

gnustep-base (1.30.0-3) unstable; urgency=medium

  * debian/rules (v_objc): Set to the empty string.
    (m4_objc, m4_make): New variables.  Handle the case when the gobjc and
    gnustep-make versions in (old)stable are sufficient enough; in this
    case no version constraint should be generated.
    (override_dh_testdir): Use the new conditionally defined variables.
  * debian/templates/control.m4: Restore lost V_OBJC macro, adapt V_MAKE
    macros to the new rule.
  * debian/patches/autogsdoc-reproducibility.patch: Fix reproducibility
    regression following upstream changes to autogsdoc which now adds a
    timestamp to generated .gsdoc/.html files.  Extract the date from
    debian/changelog instead when building a Debian package.
  * debian/patches/hurd-tests.patch: New; mark as hopeful tests that
    sometimes fail on GNU/Hurd.  This problem appears to be an
    intermittent issue with the Debian buildds.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 26 Jun 2024 18:13:45 +0300

gnustep-base (1.30.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/patches/libxml2-2.11.patch: Delete; fixed in 1.30.0.
  * debian/patches/nscalendardate-hppa+ppc.patch: Delete; problem gone.
  * debian/clean: Add gnustep-base.pc.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 20 Jun 2024 13:44:14 +0300

gnustep-base (1.29.0-8) unstable; urgency=medium

  * debian/patches/libxml2-2.11.patch: New; fix FTBFS with libxml2 >= 2.11
    (Closes: #1073313).  Thanks Lucas Nussbaum for the report.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 16 Jun 2024 19:56:29 +0300

gnustep-base (1.30.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/control: Regenerate to reflect the SONAME change.
  * debian/patches/tzdb.h-include.patch: Delete; applied upstream.
  * debian/patches/fix-spelling-error.patch: Likewise.
  * debian/patches/GSTimeZoneDetail-retain-abbrev.patch: Likewise.
  * debian/patches/HTMLLinker-troff-warning.patch: Likewise.
  * debian/patches/nstimezone-32bit-time_t.patch: Likewise.
  * debian/patches/NSURL-tests-new-url.patch: Likewise.
  * debian/patches/TestHelper-category-interface.patch: Likewise.
  * debian/patches/pkg-config-macro.patch: Refresh.
  * debian/patches/fix-tests-network.patch: Likewise.
  * debian/patches/autogsdoc-reproducibility.patch: Likewise.
  * debian/patches/nscalendardate-hppa+ppc.patch: Disable for now.
  * debian/not-installed: Add the .pc file as it produces multiple
    pkg-config-bad-directive lintian errors.
  * debian/gnustep-base-runtime.lintian-overrides: Remove no-manual-page
    for usr/libexec/gdomap-helper; apparently this lintian bug was fixed.
  * debian/templates/control.m4 (Uploaders): Change Gürkan's name to Alex.
    (Standards-Version): Bump to 4.7.0; no changes needed.
  * debian/copyright: Update copyright years.



=== debian/control ===
# -*-debian-control-*-
# NOTE: debian/control is generated from debian/templates/control.m4
Source: gnustep-base
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Eric Heintzmann <heintzmann.eric@free.fr>,
           Alex Myczko <tar@debian.org>,
           Yavor Doganov <yavor@gnu.org>
Section: gnustep
Priority: optional
Build-Depends: debhelper-compat (= 13),
               gnustep-make (>= 2.9.2-3),
               gnutls-bin <!nocheck>,
               gobjc,
               libffi-dev,
               libxml2-dev,
               libxslt1-dev,
               libgnutls28-dev,
               zlib1g-dev,
               m4,
               libavahi-client-dev,
               libicu-dev,
               tzdata-legacy,
Build-Depends-Indep: texinfo <!nodoc>,
                     texlive-latex-base <!nodoc>,
                     texlive-fonts-recommended <!nodoc>,
                     xml-core
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnustep-team/gnustep-base
Vcs-Git: https://salsa.debian.org/gnustep-team/gnustep-base.git
Homepage: http://gnustep.org

Package: gnustep-base-common
Architecture: all
Depends: gnustep-common (>= 2.9.2-3),
         ca-certificates,
         tzdata-legacy,
         ${misc:Depends}
Breaks: gnustep-base-runtime (<< 1.30.0-5)
Replaces: gnustep-base-runtime (<< 1.30.0-5)
Description: GNUstep Base library - common files
 The GNUstep Base Library is a powerful fast library of
 general-purpose, non-graphical Objective C classes, inspired by the
 OpenStep API but implementing Apple and GNU additions to the API as
 well.
 .
 This package contains the common files needed by the GNUstep Base library.

Package: gnustep-base-runtime
Architecture: any
Depends: gnustep-base-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: GNUstep Base library - daemons and tools
 The GNUstep Base Library is a powerful fast library of
 general-purpose, non-graphical Objective C classes, inspired by the
 OpenStep API but implementing Apple and GNU additions to the API as
 well.
 .
 This package contains the runtime support files needed by GNUstep
 applications.

Package: libgnustep-base1.30
Section: libs
Architecture: any
Depends: gnustep-base-common (= ${source:Version}),
         gnutls-bin,
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: gnustep-base-runtime (= ${binary:Version})
Description: GNUstep Base library
 The GNUstep Base Library is a powerful fast library of
 general-purpose, non-graphical Objective C classes, inspired by the
 OpenStep API but implementing Apple and GNU additions to the API as
 well.  It includes for example classes for unicode strings, arrays,
 dictionaries, sets, byte streams, typed coders, invocations,
 notifications, notification dispatchers, scanners, tasks, files,
 networking, threading, remote object messaging support (distributed
 objects), event loops, loadable bundles, attributed unicode strings,
 xml, mime, user defaults.

Package: libgnustep-base-dev
Section: libdevel
Architecture: any
Depends: libgnustep-base1.30 (= ${binary:Version}),
         gnustep-base-runtime (= ${binary:Version}),
         gnustep-make (>= 2.9.2-3),
         ${misc:Depends}
Suggests: gnustep-base-doc
Description: GNUstep Base header files and development libraries
 This package contains the header files and static libraries required
 to build applications against the GNUstep Base library.
 .
 Install this package if you wish to develop your own programs using
 the GNUstep Base Library.

Package: gnustep-base-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: libgnustep-base-dev
Description: Documentation for the GNUstep Base Library
 This package contains the GNUstep Base Library API reference, as well
 as the GNUstep Base programming manual and GNUstep Coding Standards
 in Info, HTML and PDF format.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined

# config.mk is provided by gnustep-make package
include /usr/share/GNUstep/debian/config.mk

# Install in debian/tmp
export DESTDIR=$(CURDIR)/debian/tmp

##### VERSION NUMBERS #################################

# Required version of the Objective-C compiler and runtime (GCC).
# If set to the empty string, no versioned dependency is generated.
v_objc :=
ifeq (,$(v_objc))
m4_objc := -DV_OBJC=''
else
m4_objc := -DV_OBJC=' (>= $(v_objc))'
endif

# GNUstep Make version; as above to handle cases when the (old)stable
# version is sufficient enough.
v_make	:= 2.9.2-3
ifeq (,$(v_make))
m4_make := -DV_MAKE=''
else
m4_make := -DV_MAKE=' (>= $(v_make))'
endif

# GNUstep Base version :
v_base	:= $(shell . ./Version; echo $$VERSION)

# GNUstep Base SONAME version :
sov_base := $(shell . ./Version; echo $$MAJOR_VERSION.$$MINOR_VERSION)

#### PACKAGES NAMES ###################################
p_com	= gnustep-base-common
p_run	= gnustep-base-runtime
p_lib	= libgnustep-base$(sov_base)
p_dev	= libgnustep-base-dev
p_doc	= gnustep-base-doc

### DIRS ##############################################
GS_BASE_RESOURCES_UPSTREAM = $(GNUSTEP_SYSTEM_LIBRARY)/Libraries/gnustep-base/Versions/$(sov_base)/Resources
GS_BASE_RESOURCES_DEBIAN = usr/share/GNUstep/Libraries/gnustep-base/Versions/$(sov_base)/Resources

#####################################################"#

%:
	dh $@

# Ensure that debian/control is always up-to-date.
override_dh_testdir:
	m4 $(m4_objc) $(m4_make) -DSOV_BASE='$(sov_base)' \
	  debian/templates/control.m4 > debian/control
	dh_testdir

override_dh_auto_configure:
# Generate libgnustep-baseN lintian overrides file.
	m4 -DSOV_BASE='$(sov_base)' \
	  debian/templates/libgnustep-baseN.lintian-overrides.m4 \
	  > debian/$(p_lib).lintian-overrides

# Generate gnustep-base-common.links file.
	sed -e 's,@GS_BASE_RESOURCES_DEBIAN@,$(GS_BASE_RESOURCES_DEBIAN),g' \
	  debian/templates/$(p_com).links.in > debian/$(p_com).links

# Generate libgnustep-baseSONAME.install file.
	cp debian/templates/libgnustep-baseN.install.in \
	  debian/$(p_lib).install

# When "nodoc" is present in DEB_BUILD_OPTIONS, the gnustep-make-doc
# package is created nearly empty, as required by Policy.  If it is
# also present in DEB_BUILD_PROFILES, the package is not built at all.
ifdef docs
	cp debian/templates/$(p_doc).install.in debian/$(p_doc).install
	cp debian/templates/$(p_doc).links.in debian/$(p_doc).links
endif

# Workaround FTBFS with Autoconf/2.71 (#995007) related to
# AC_CONFIG_AUX_DIR; more investigation is needed for a proper fix.
# In principle it is not necessary to pass --with-installation-domain
# because it is derived by gnustep-config which in turn checks the
# GNUSTEP_INSTALLATION_DOMAIN variable (defined in config.mk which is
# included here).  However, for some reason 1.28.0-1 mysteriously
# failed to build on GNU/Hurd so this is an attempt to fix it.
	dh_auto_configure -- \
	  CURRENT_GNUSTEP_MAKEFILES=$(GNUSTEP_MAKEFILES) \
	  --with-installation-domain=SYSTEM \
	  --disable-bfd  || (cat config.log; exit 1)

override_dh_auto_build-arch:
# build shared libs
	dh_auto_build -- \
	    $(verbose) \
	    $(optim) \
	    doc=no \
	    $(shell dpkg-buildflags --export=cmdline)

# build dev/static lib
	dh_auto_build -- \
	    -C Source \
	    $(verbose) \
	    $(optim) \
	    doc=no \
	    shared=no

override_dh_auto_build-indep:
# build shared libs
	dh_auto_build -- \
	    $(verbose) \
	    $(optim) \
	    doc=no

ifdef docs
# build main doc. Make sure autogsdoc can find the libraries.
	LD_LIBRARY_PATH=$(CURDIR)/Source/obj:$$LD_LIBRARY_PATH \
	dh_auto_build -- \
	    -C Documentation \
	    $(verbose) \
	    $(optim) \
	    $(docs)
endif

override_dh_auto_test:
	dh_auto_test -- \
	    $(verbose)  || (cat Tests/tests.log; exit 1)

override_dh_auto_install-arch:
# install shared version of libraries
	dh_auto_install -- \
	    doc=no

# install dev/static lib
	dh_auto_install -- \
	    -C Source \
	    doc=no \
	    shared=no

override_dh_auto_install-indep:
# install shared version of libraries
	dh_auto_install -- doc=no
ifdef docs
# install doc
	dh_auto_install -- -C Documentation $(docs)
# Delete duplicate files already shipped at /usr/share/doc/.
	$(RM) -r \
	  debian/tmp$(GNUSTEP_SYSTEM_DOC)/Developer/Base/ReleaseNotes/1.*
endif
# Delete README which triggers lintian I: gnustep-base-common:
# package-contains-documentation-outside-usr-share-doc.  These
# instructions are unnecessary as the Debian package uses tzdata.
	$(RM) debian/tmp$(GS_BASE_RESOURCES_UPSTREAM)/NSTimeZones/README
# Delete timezones, we use tzdata.
	$(RM) -r debian/tmp$(GS_BASE_RESOURCES_UPSTREAM)/NSTimeZones/zones

override_dh_auto_clean-indep:
	dh_auto_clean -- \
	    doc=yes

override_dh_installcatalogs-indep:
# Bug #637093
	dh_installxmlcatalogs -p$(p_com) -n
	dh_installcatalogs --remaining-packages

# Install the gdomap init script
override_dh_installinit:
	dh_installinit -p$(p_run) --name=gdomap --no-enable --no-start

override_dh_installsystemd:
	dh_installsystemd -p$(p_run) --name=gdomap --no-enable --no-start

# Install examples
override_dh_installexamples:
	dh_installexamples -p$(p_doc) -X.cvsignore -X.gdbinit -X.arch-ids
	dh_installexamples --remaining-packages

execute_before_dh_link:
	dh_gnustep

override_dh_shlibdeps:
	dh_shlibdeps
# Recalculate dependencies of the shared library to ensure that
# gnustep-base-runtime is added as additional dependency.
	dh_makeshlibs -p$(p_lib) \
	  -V '$(p_lib) (>= $(v_base)), $(p_run) (>= $(v_base))'

=== debian/tests/control ===
Tests: adequate file-tests testsuite
Restrictions: allow-stderr
Depends: @, @builddeps@, adequate, debhelper, file, shunit2

## gnustep-base 1.31.1

=== Makefile ===
#
#  Depreciated Makefile for GNUstep Base Library.
#  
#  Copyright (C) 1997 Free Software Foundation, Inc.
#
#  Written by:	Scott Christley <scottc@net-community.com>
#
#  This file is part of the GNUstep Base Library.
#
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public
#  License as published by the Free Software Foundation; either
#  version 2 of the License, or (at your option) any later version.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
#  General Public License for more details.
#
#  You should have received a copy of the GNU General Public
#  License along with this library; if not, write to the Free
#  Software Foundation, Inc., 31 Milk Street #960789 Boston, MA 02196 USA
#

all:
	@echo You need to use GNU make to compile the GNUstep Base Library

=== debian/changelog ===
gnustep-base (1.31.1-4ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - disable some tests failing in Ubuntu infra, but not locally

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Sep 2025 11:17:40 +0200

gnustep-base (1.31.1-4) unstable; urgency=medium

  * debian/patches/gcc-15.patch: New; cherry-pick upstream commit to fix
    FTBFS with GCC 15 (Closes: #1096744).
  * debian/patches/multiarch+cross.patch: Use the obtained value of
    DEB_HOST_MULTIARCH at configure time instead of launching
    dpkg-architecture.  Thanks Guillem Jover for the report and the idea.
  * debian/templates/control.m4 (libgnustep-base`'SOV_BASE): Remove
    dpkg-dev thus reverting the last change (Closes: #1112161).
  * debian/control: Regenerate.
  * debian/gnustep-base-runtime.preinst: Delete; no longer needed.
  * debian/templates/gnustep-base-common.postinst.in: Remove snippets
    for the leftover directory during the 1.30->1.31 upgrade.
  * debian/copyright: Replace FSF's old address with the canonical URL.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 07 Sep 2025 20:13:04 +0300

gnustep-base (1.31.1-3ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 May 2025 10:24:42 +0200

gnustep-base (1.31.1-3ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - disable some tests failing in Ubuntu infra, but not locally

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 May 2025 07:48:35 +0200

gnustep-base (1.31.1-3) unstable; urgency=medium

  * debian/templates/control.m4 (libgnustep-base`'SOV_BASE) <Depends>: Add
    dpkg-dev; thanks Sunil Mohan Adapa (Closes: #1101210).
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 25 Mar 2025 07:49:59 +0200

gnustep-base (1.31.1-2) unstable; urgency=medium

  * debian/patches/multiarch+cross.patch: Redirect stderr from
    dpkg-architecture to a temporary file and print its contents in case
    of an error.  Thus, warnings are effectively ignored (we are not
    interested in them anyway) as they break some tools which parse
    unar's output (Closes: #1099608).  Thanks Bastian Germann.  A minor
    side effect of this change is some slowdown because the temporary
    file is always created as we can't predict the exit status.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 19 Mar 2025 12:17:03 +0200

gnustep-base (1.31.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * debian/patches/ftbfs-s390x.patch: Delete; now fixed upstream in a more
    portable way.
  * debian/patches/multiarch+cross.patch: Refresh.
  * debian/templates/gnustep-base-common.prerm.in: Remove localtime
    symlink on upgrade too, to allow dpkg to remove the old directory when
    upgrading to a new binary-incompatible version.
  * debian/templates/gnustep-base-common.postinst.in: Delete leftover
    directory that was not handled properly during the 1.30->1.31 upgrade.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 05 Mar 2025 22:42:34 +0200

gnustep-base (1.31.0-4) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/templates/control.m4 (Standards-Version): Claim compliance with
    4.7.2; no actual changes needed.
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 28 Feb 2025 11:08:18 +0200

gnustep-base (1.31.0-3) experimental; urgency=medium

  * debian/patches/ftbfs-s390x.patch: New; cherry-pick upstream commit to
    fix FTBFS (testsuite failure) on s390x.  Many thanks to upstream
    developer and long-time Base maintainer Richard Frith-Macdonald.
  * debian/patches/pkg-config-macro.patch: Delete -- it's not worth
    patching the upstream source for a lintian shortcoming.
  * debian/patches/multiarch+cross.patch: Use getenv instead of
    NSProcessInfo for a small performance optimization.
  * debian/templates/control.m4 (Standards-Version): Claim compliance with
    4.7.1; no actual changes needed.
  * debian/control: Regenerate.
  * debian/source/lintian-overrides: New file; override lintian warning
    autotools-pkg-config-macro-not-cross-compilation-safe (false positive).

 -- Yavor Doganov <yavor@gnu.org>  Sun, 23 Feb 2025 16:39:06 +0200

gnustep-base (1.31.0-2) experimental; urgency=medium

  * debian/patches/multiarch+cross.patch: Restore locking as a desperate
    attempt to fix testsuite disaster on s390x.
  * debian/patches/autogsdoc-reproducibility.patch: Fix a memory leak.
  * debian/NEWS: Typo fix.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 19 Feb 2025 06:29:07 +0200

gnustep-base (1.31.0-1) experimental; urgency=medium

  * New upstream release:
    + SONAME change: libgnustep-base1.30 -> 1.31.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/templates/control.m4 (Build-Depends): Add graphviz for the
    class inheritance diagrams.  This is likely to bite us because it's
    not available on all architectures.
    (gnustep-base-runtime) <Depends>: Add graphviz; autogsdoc will die
    with an exception if the dot program is missing.
  * debian/rules (v_make): Bump to 2.9.3.  It is needed because upstream
    uses gnustep-tests' new --timeout option.  Also, we rely on dh_gnustep
    to move GNUSTEP_LIBRARY/Tools to /usr/share/GNUstep/Tools.
    (override_dh_auto_install-indep): Delete accidental temporary file.
  * debian/control: Regenerate, reflecting the SONAME change.
  * debian/patches/pkg-config-macro.patch: Refresh.
  * debian/patches/autogsdoc-reproducibility.patch: Likewise.
  * debian/patches/gcc-synthesize.patch: Likewise.
  * debian/patches/no-etc-timezone.patch: Likewise.
  * debian/patches/multiarch+cross.patch: Likewise.
  * debian/patches/fix-tests-network.patch: Remove hunks applied upstream.
  * debian/patches/non-portable-tests.patch: Delete; fixed upstream.
  * debian/patches/NSStream-test-riscv64.patch: Likewise.


=== debian/control ===
# -*-debian-control-*-
# NOTE: debian/control is generated from debian/templates/control.m4
Source: gnustep-base
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders:
 Eric Heintzmann <heintzmann.eric@free.fr>,
 Alex Myczko <tar@debian.org>,
 Yavor Doganov <yavor@gnu.org>,
Section: gnustep
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 gnustep-make (>= 2.9.3),
 gnutls-bin <!nocheck>,
 gobjc <!cross>,
 gobjc-for-host <cross>,
 graphviz,
 libavahi-client-dev,
 libffi-dev,
 libgnutls28-dev,
 libicu-dev,
 libobjc-15-dev <cross>,
 libxml2-dev,
 libxslt1-dev,
 m4,
 tzdata-legacy,
 zlib1g-dev,
Build-Depends-Indep:
 texinfo <!nodoc>,
 texlive-fonts-recommended <!nodoc>,
 texlive-latex-base <!nodoc>,
 xml-core,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/gnustep-team/gnustep-base
Vcs-Git: https://salsa.debian.org/gnustep-team/gnustep-base.git
Homepage: http://gnustep.org

Package: gnustep-base-common
Architecture: all
Multi-Arch: foreign
Depends:
 ca-certificates,
 gnustep-common:any (>= 2.9.3),
 tzdata-legacy,
 ${misc:Depends},
Breaks:
 gnustep-base-runtime (<< 1.30.0-5),
 gnustep-gui-common (<< 0.31.1-7),
Replaces:
 gnustep-base-runtime (<< 1.30.0-5),
Description: GNUstep Base library - common files
 The GNUstep Base Library is a powerful fast library of
 general-purpose, non-graphical Objective C classes, inspired by the
 OpenStep API but implementing Apple and GNU additions to the API as
 well.
 .
 This package contains the common files needed by the GNUstep Base library.

Package: gnustep-base-runtime
Architecture: any
Multi-Arch: foreign
Depends:
 gnustep-base-common (= ${source:Version}),
 graphviz,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libgnustep-base-dev (<< 1.30.0-12),
Replaces:
 libgnustep-base-dev (<< 1.30.0-12),
Description: GNUstep Base library - daemons and tools
 The GNUstep Base Library is a powerful fast library of
 general-purpose, non-graphical Objective C classes, inspired by the
 OpenStep API but implementing Apple and GNU additions to the API as
 well.
 .
 This package contains the runtime support files needed by GNUstep
 applications.

Package: libgnustep-base1.31
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 gnustep-base-common (= ${source:Version}),
 gnustep-multiarch (>= 2.9.3),
 gnutls-bin,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gnustep-base-runtime (= ${binary:Version}),
Breaks:
 unar (<< 1.10.8+ds1-7),
Description: GNUstep Base library
 The GNUstep Base Library is a powerful fast library of
 general-purpose, non-graphical Objective C classes, inspired by the
 OpenStep API but implementing Apple and GNU additions to the API as
 well.  It includes for example classes for unicode strings, arrays,
 dictionaries, sets, byte streams, typed coders, invocations,
 notifications, notification dispatchers, scanners, tasks, files,
 networking, threading, remote object messaging support (distributed
 objects), event loops, loadable bundles, attributed unicode strings,
 xml, mime, user defaults.

Package: libgnustep-base-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 gnustep-base-runtime (= ${binary:Version}),
 gnustep-make (>= 2.9.3),
 gobjc++ | gobjc++-for-host,
 libgnustep-base1.31 (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 gnustep-base-doc,
Provides:
 gnustep-base-abi-1.31
Breaks:
 libgnustep-corebase-dev (<< 0.1.1+20230710-5),
 libgnustep-dl2-dev (<< 0.12.0+git20171224-4),
 libnetclasses-dev (<< 1.06.dfsg+really1.1.0-3),
 libuniversaldetector-dev (<< 1.1-6),
Description: GNUstep Base header files and development libraries
 This package contains the header files and static libraries required
 to build applications against the GNUstep Base library.
 .
 Install this package if you wish to develop your own programs using
 the GNUstep Base Library.

Package: gnustep-base-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 libgnustep-base-dev,
Description: Documentation for the GNUstep Base Library
 This package contains the GNUstep Base Library API reference, as well
 as the GNUstep Base programming manual and GNUstep Coding Standards
 in Info, HTML and PDF format.

=== debian/tests/control ===
Tests:
 adequate file-tests testsuite,
Restrictions:
 allow-stderr,
Depends:
 adequate,
 debhelper,
 file,
 shunit2,
 @,
 @builddeps@,
